For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create an Account

Create a new cheqd Studio account for an authenticated user.

Create an client for an authenticated user.

post
/account/create

This endpoint creates a client in the custodian-mode for an authenticated user

Authorizations
x-api-keystringRequired
Body
namestringOptional
primaryEmailstringRequired
Responses
201

The request was successful.

application/json
customerIdstringOptional
namestringOptional
emailstringOptional
descriptionstringOptional
createdAtstringOptional
updatedAtstringOptional
paymentProviderIdstringOptional
post/account/create
POST /account/create HTTP/1.1
Host: studio-api.cheqd.net
x-api-key: YOUR_API_KEY
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 37

"name='text'&primaryEmail='text'"
{
  "customerId": "text",
  "name": "text",
  "email": "text",
  "description": "text",
  "createdAt": "text",
  "updatedAt": "text",
  "paymentProviderId": "text"
}

Last updated

Was this helpful?